Subject: [Ietf-behave] Comments on draft-ietf-behave-rfc3489bis-04

From: "Alfred E. Heggestad" <[email-masked]>
Date: Mon, 21 Aug 2006 06:17:43 -0500 (CDT) (envelope-from [email-masked])

Hi

I have some comments on draft-ietf-behave-rfc3489bis-04 (mainly typos,
see below).

If an RFC3489 compliant STUN server receives a STUN request with
an unknown attribute (i.e. FINGERPRINT), is it supposed to drop it?

Minor comments:

> Section 6, page 13:
>
>  that they are a multiple of 4 btyes.  Such padding is only needed
>                                ^^^^^

typo - should be "4 bytes"

> Section 9.1.1, page 25:
>
>   Next, the server MUST check for any mantadory attributes in the
>                                       ^^^^^^^^^

typo - should be "mandatory"

> Section 11.13, page 34:
>
>    that are being used for keepalives.  The REFRESH-INTERVAL provies a
>                                                              ^^^^^^^

typo - should be "provides"

> Section 11.13, page 34:
>
>   represents an interval measured in millseconds.  It can be present in
>                                      ^^^^^^^^^^^

typo - should be "milliseconds"

/alfred